services:
  windows:
    image: dockurr/windows
    container_name: windows
    environment:
      VERSION: "win7"
      #MANUAL: "Y"    手动安装
      RAM_SIZE: "1.5G"
      CPU_CORES: "2"
      USERNAME: "smileyman"
      PASSWORD: "man147258369man"
      LANGUAGE: "Chinese"
      DISK_SIZE: "15G"
    devices:
      - /dev/kvm
      #- /dev/sdb:/disk1   传递硬盘，主硬盘
      #- /dev/sdc:/disk2
    cap_add:
      - NET_ADMIN
    #volumes:
      #- /munt/data/example:/shared
      #- /opt/docker-data/windows/win7x64_zh.iso:/custom.iso  #本地镜像
      #- /opt/docker-data/windows:/storage   #持久化
    ports: 
      #- 38006:8006
      - 23389:3389/tcp
      - 23389:3389/udp
    stop_grace_period: 2m
    restart: unless-stopped


#https://hub.docker.com/r/dockurr/windows
